Pkgcheck Warnings

  • All Versions
    • DroppedKeywords
      alpha, amd64-linux, hppa, ia64, mips, s390, x64-macos, x64-solaris, x86-linux
    • RedundantVersion
      slot(2) keywords are overshadowed by version: 2.57.3
    • DeprecatedDep
      DEPEND: deprecated dependency: >=dev-libs/libcroco-0.6.8-r1[abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_s390_32(-)?,abi_s390_64(-)?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]
    • RedundantVersion
      slot(2) keywords are overshadowed by version: 2.57.3
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
    • EbuildReservedName
      line 80: variable name "__GL_NO_DSO_FINALIZER" is disallowed because "__" is a reserved prefix
    • DeprecatedDep
      RDEPEND: deprecated dependency: >=dev-libs/libcroco-0.6.8-r1[abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_s390_32(-)?,abi_s390_64(-)?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
  • 2.57.3
    • DroppedKeywords
      alpha, amd64-linux, hppa, ia64, mips, s390, x64-macos, x64-solaris, x86-linux
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
  • 2.57.2
    • RedundantVersion
      slot(2) keywords are overshadowed by version: 2.57.3
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
  • 2.57.0
    • RedundantVersion
      slot(2) keywords are overshadowed by version: 2.57.3
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
  • 2.40.21
    • DeprecatedDep
      DEPEND: deprecated dependency: >=dev-libs/libcroco-0.6.8-r1[abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_s390_32(-)?,abi_s390_64(-)?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]
    • EbuildReservedName
      line 80: variable name "__GL_NO_DSO_FINALIZER" is disallowed because "__" is a reserved prefix
    • DeprecatedDep
      RDEPEND: deprecated dependency: >=dev-libs/libcroco-0.6.8-r1[abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_s390_32(-)?,abi_s390_64(-)?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?]

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.